<div ng-controller="CustomersController">
	<div class="row">
		
		<div class="col-xs-2">
			<!-- Filter box -->
			<div class="row">
				<div class="col-xs-12">
					<input class="col-xs-12" type="text" ng-model="filter_name" placeholder="Filter Results...">
				</div>
			</div>

			<div class="row margin-top">
				<div class="col-xs-10 col-xs-offset-1 base-line">
				</div>
			</div>

			<div class="row">
				<div class="col-xs-12">
					<h3>Agregar Cliente</h3>
				</div>
			</div>

			<!-- Formulario para agregar customer -->
			<div class="row">
				<div class="col-xs-12">
					<p class="text-danger">{{errormsg}}</p>
					<div ng-show="form.$submitted || form.name.$touched">
						<div ng-show="form.name.$error.required" class="text-danger">El nombre del cliente es requerido</div>
					</div>
					<form name="form" novalidate>
						<div class="form-group">
							<label for="name">Nombre del Cliente:</label>
							<input type="text" class="form-control" id="name" ng-model="new_customer.name"  required="">
						</div>
						<input type="submit" class="btn btn-primary" ng-disabled="form.$invalid" ng-click="addcustomer()">
					</form>
				</div>
			</div>
		</div>

		<div class="col-xs-10">
			<!-- Table listing customers -->
			<div class="row">
				<div class="col-xs-12">
					<h3>Listado de Clientes</h3>
				</div>
			</div>

			<div class="row">
				<div class="col-xs-12">
					<table class="table table-condensed">
						<thead>
							<th>Nombre del cliente</th>
							<th>Fecha</th>
							<th></th>
						</thead>
						<tbody>
							<tr ng-repeat="customer in customers | filter: filter_name">
								<td><span ng-bind="customer.name"></span></td>
								<td><span ng-bind="customer.date | date:'MM/dd/yyyy'"></span></td>
								<td><input type="submit" value="Delete" class="btn btn-primary btn-xs" ng-click="deletecustomer(customer)"></td>
							</tr>
						</tbody>
					</table>
				</div>
			</div>
		</div>
		

	</div>
</div>